# Method: accounts.adclients.customchannels.get

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/get#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/get#body.response_body)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/get#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/get#try-it)

Gets information about the selected custom channel.

### HTTP request

`GET https://adsense.googleapis.com/v2/{name=accounts/*/adclients/*/customchannels/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the custom channel. Format: accounts/{account}/adclients/{adclient}/customchannels/{customchannel} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels#CustomChannel`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`